#
# Conditional build:
%bcond_with	tests		# build with tests

# TODO:
# - runtime Requires if any

%define         kdeappsver      21.12.3
%define		kdeframever	6.13
%define		qtver		6.7.2
%define		kfname		kfilemetadata
Summary:	File metadata and extraction library
Summary(pl.UTF-8):	Biblioteka do obsługi i wydobywania metadanych plików
Name:		kf6-%{kfname}
Version:	6.13.0
Release:	2
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	45779ed91f44700ff9d80082bb1c3843
#Patch0: xattr.patch
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6Gui-devel >= %{qtver}
BuildRequires:	Qt6Network-devel >= %{qtver}
BuildRequires:	Qt6Test-devel >= %{qtver}
%if %{with tests}
BuildRequires:	Qt6Gui-devel >= %{qtver}
BuildRequires:	Qt6Widgets-devel >= %{qtver}
%endif
BuildRequires:	Qt6Qml-devel >= %{qtver}
BuildRequires:	attr-devel
BuildRequires:	catdoc
BuildRequires:	cmake >= 3.16
BuildRequires:	ebook-tools-devel
BuildRequires:	exiv2-devel
BuildRequires:	ffmpeg-devel
#BuildRequires:	ka5-krita
BuildRequires:	ka6-kdegraphics-mobipocket-devel >= %{kdeappsver}
BuildRequires:	kf6-extra-cmake-modules >= %{version}
BuildRequires:	kf6-karchive-devel >= %{version}
BuildRequires:	kf6-kcodecs-devel >= %{version}
BuildRequires:	kf6-kconfig-devel >= %{version}
BuildRequires:	kf6-kcoreaddons-devel >= %{version}
BuildRequires:	kf6-ki18n-devel >= %{version}
BuildRequires:	ninja
BuildRequires:	poppler-cpp-devel >= 24.08.0
BuildRequires:	poppler-glib-devel >= 24.08.0
BuildRequires:	poppler-qt6-devel >= 24.08.0
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	taglib-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf6-dirs
#Obsoletes:	kf5-%{kfname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File metadata and extraction library.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
#Obsoletes:	kf5-%{kfname}-devel < %{version}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	--debug-output

%ninja_build -C build

%{?with_tests:%ninja_build -C build test}


%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

# not supported by glibc yet
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ie

%find_lang %{kfname}6

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kfname}6.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kfilemetadata_dump6
%{_datadir}/qlogging-categories6/kfilemetadata.categories
%attr(755,root,root) %{_libdir}/libKF6FileMetaData.so.*.*.*
%ghost %{_libdir}/libKF6FileMetaData.so.3
%dir %{_libdir}/qt6/plugins/kf6/kfilemetadata
%dir %{_libdir}/qt6/plugins/kf6/kfilemetadata/writers
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kfilemetadata/writers/kfilemetadata_taglibwriter.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kfilemetadata/kfilemetadata_epubextractor.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kfilemetadata/kfilemetadata_exiv2extractor.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kfilemetadata/kfilemetadata_fb2extractor.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kfilemetadata/kfilemetadata_ffmpegextractor.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kfilemetadata/kfilemetadata_odfextractor.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kfilemetadata/kfilemetadata_office2007extractor.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kfilemetadata/kfilemetadata_officeextractor.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kfilemetadata/kfilemetadata_plaintextextractor.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kfilemetadata/kfilemetadata_poextractor.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kfilemetadata/kfilemetadata_popplerextractor.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kfilemetadata/kfilemetadata_postscriptdscextractor.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kfilemetadata/kfilemetadata_taglibextractor.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kfilemetadata/kfilemetadata_xmlextractor.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kfilemetadata/kfilemetadata_mobiextractor.so
%attr(755,root,root) %{_datadir}/qlogging-categories6/kfilemetadata.renamecategories
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kfilemetadata/kfilemetadata_pngextractor.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kfilemetadata/kfilemetadata_krita.so

%files devel
%defattr(644,root,root,755)
%{_libdir}/libKF6FileMetaData.so
%{_includedir}/KF6/KFileMetaData
%{_libdir}/cmake/KF6FileMetaData
%changelog
* Tue Apr 29 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf6-kfilemetadata.git;a=log;h=master

* Tue Apr 29 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 01f11d5
- relup

* Sat Apr 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 874ec6a
- updated to 6.13.0

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> c50deb4
- updated to 6.12.0

* Sat Feb 15 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 2462bc5
- updated to 6.11.0

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 1e6fc67
- updated to 6.10.0

* Fri Dec 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 22e82d9
- updated to 6.9.0

* Fri Nov 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 2481a95
- updated to 6.8.0

* Wed Oct 16 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 89dc77e
- BR: poppler-glib-devel

* Fri Oct 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d76a742
- updated to 6.7.0

* Wed Sep 18 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 206374a
- try to bump Qt6 version
- -debug-output for cmake

* Sat Sep 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 8cadb0d
- updated to 6.6.0

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 5f62bea
- updated to 6.5.0

* Thu Aug 08 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> de2a83e
- BRs

* Wed Aug 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 42a7b93
- relup

* Wed Aug 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> e93c60e
- relup

* Sat Jul 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 56e8464
- updated to 6.4.0

* Sat Jun 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4ef2e54
- updated to 6.3.0

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ba9bec5
- Obsoletes kf5

* Sat May 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> bdd9b21
- updated to 6.2.0

* Sun Apr 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b0c002d
- updated to 6.1.0

